Get province by ID
Retrieve detailed information about a specific province
Authorization
ApiKeyAuth Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.
In: header
Path Parameters
Unique identifier of the province
1 <= lengthQuery Parameters
Language for the response (en or km)
"en"Value in
- "en"
- "km"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/provinces/d7d40ac2-e96f-5977-aa27-a0c99bff6710?lang=en"{ "statusCode": 200, "data": { "id": "d7d40ac2-e96f-5977-aa27-a0c99bff6710", "name": "Phnom Penh Capital", "type": "capital", "postal_code_prefix": "12", "postal_code_range": "12010101-12140706", "total_districts": 14, "total_communes": 110, "total_villages": 1045 }, "metadata": { "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035" }}